curl --request POST \
--url https://api.acedata.cloud/glm/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "glm-4.7",
"messages": [
{
"role": "user",
"content": "Hello!"
}
]
}
'import requests
url = "https://api.acedata.cloud/glm/chat/completions"
payload = {
"model": "glm-4.7",
"messages": [
{
"role": "user",
"content": "Hello!"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 'glm-4.7', messages: [{role: 'user', content: 'Hello!'}]})
};
fetch('https://api.acedata.cloud/glm/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"model": "<string>",
"object": "chat.completion",
"choices": [
{
"index": 123,
"message": {
"role": "assistant",
"content": "<string>",
"tool_calls": [
{
"id": "<string>",
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
}
}
],
"refusal": "<string>",
"audio": {
"id": "<string>",
"expires_at": 123,
"data": "<string>",
"transcript": "<string>"
}
},
"finish_reason": "stop",
"logprobs": {}
}
],
"created": 123,
"system_fingerprint": "<string>",
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123,
"prompt_tokens_details": {
"cached_tokens": 123,
"audio_tokens": 123
},
"completion_tokens_details": {
"reasoning_tokens": 123,
"audio_tokens": 123,
"accepted_prediction_tokens": 123,
"rejected_prediction_tokens": 123
}
}
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}Glm Chat Completions
curl --request POST \
--url https://api.acedata.cloud/glm/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "glm-4.7",
"messages": [
{
"role": "user",
"content": "Hello!"
}
]
}
'import requests
url = "https://api.acedata.cloud/glm/chat/completions"
payload = {
"model": "glm-4.7",
"messages": [
{
"role": "user",
"content": "Hello!"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 'glm-4.7', messages: [{role: 'user', content: 'Hello!'}]})
};
fetch('https://api.acedata.cloud/glm/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"model": "<string>",
"object": "chat.completion",
"choices": [
{
"index": 123,
"message": {
"role": "assistant",
"content": "<string>",
"tool_calls": [
{
"id": "<string>",
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
}
}
],
"refusal": "<string>",
"audio": {
"id": "<string>",
"expires_at": 123,
"data": "<string>",
"transcript": "<string>"
}
},
"finish_reason": "stop",
"logprobs": {}
}
],
"created": 123,
"system_fingerprint": "<string>",
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123,
"prompt_tokens_details": {
"cached_tokens": 123,
"audio_tokens": 123
},
"completion_tokens_details": {
"reasoning_tokens": 123,
"audio_tokens": 123,
"accepted_prediction_tokens": 123,
"rejected_prediction_tokens": 123
}
}
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}Autorisations
API token from https://platform.acedata.cloud
En-têtes
Glm Chat Completions Param Accept
application/json Corps
Glm Chat Completions Model
glm-5.2, glm-5.1, glm-4.7, glm-4.6, glm-3-turbo "glm-4.7"
Glm Chat Completions Messages 4
1Show child attributes
Show child attributes
Glm Chat Completions N
1 <= x <= 1281
Glm Chat Completions Stream
Glm Chat Completions Max Tokens
Glm Chat Completions Temperature
0 <= x <= 21
Glm Chat Completions Response Format 4
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Glm Chat Completions Top P
0 <= x <= 11
Glm Chat Completions Frequency Penalty
-2 <= x <= 20
Glm Chat Completions Presence Penalty
-2 <= x <= 20
Glm Chat Completions Seed
Glm Chat Completions Stop 3
Glm Chat Completions Max Completion Tokens
Glm Chat Completions Logprobs
Glm Chat Completions Top Logprobs
0 <= x <= 20Glm Chat Completions Stream Options
Show child attributes
Show child attributes
Glm Chat Completions Parallel Tool Calls
Glm Chat Completions User
Glm Chat Completions Reasoning Effort
minimal, low, medium, high Glm Chat Completions Service Tier
auto, default, flex, scale, priority Glm Chat Completions Store
Glm Chat Completions Metadata
Show child attributes
Show child attributes
Glm Chat Completions Logit Bias
Show child attributes
Show child attributes
Glm Chat Completions Modalities
text, audio Glm Chat Completions Audio
Show child attributes
Show child attributes
Glm Chat Completions Prediction 3
Show child attributes
Show child attributes
Glm Chat Completions Web Search Options
Show child attributes
Show child attributes
Glm Chat Completions Tools
Show child attributes
Show child attributes
Glm Chat Completions Tool Choice 3
none, auto, required Réponse
Glm Chat Completions Response 200 2
Glm Chat Completions Response 200
Glm Chat Completions Response 200 Id
Glm Chat Completions Response 200 Model
Glm Chat Completions Response 200 Object
chat.completion Glm Chat Completions Response 200 Choices
Show child attributes
Show child attributes
Glm Chat Completions Response 200 Created
Glm Chat Completions Response 200 System Fingerprint
Glm Chat Completions Response 200 Usage
Show child attributes
Show child attributes
Cette page vous a-t-elle été utile ?

